com.aliyun.svideosdk.common.struct.common

## Class AliyunClip

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.common.AliyunClip

- Direct Known Subclasses:
    AliyunImageClip, AliyunVideoClip

      public abstract class AliyunClip
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `mClipHeight`
    `protected int` | `mClipWidth`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AliyunClip()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getClipHeight()` Gets height of resource clip , Unit : Pixels
    `int` | `getClipWidth()` Gets width of resource clip , Unit : Pixels
    `AliyunDisplayMode` | `getDisplayMode()` Gets the display mode of this clip.
    `int` | `getId()` Gets the id, unique identifier, of this clip.
    `MediaType` | `getMediaType()` Gets the media type of this clip.
    `java.lang.String` | `getSource()` Gets the URL of this clip.
    `TransitionBase` | `getTransition()` Gets the transition method of this clip.
    `void` | `setDisplayMode(AliyunDisplayMode mode)` Sets the display mode of this clip.
    `void` | `setId(int id)` Sets the id of this clip.
    `void` | `setMediaType(MediaType mediaType)` Sets the medio type of this clip.
    `void` | `setSource(java.lang.String mSource)` Sets the URL of this clip.
    `void` | `setTransition(TransitionBase transition)` Sets the transition method of this clip.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mClipWidth

          protected int mClipWidth

    - #### mClipHeight

          protected int mClipHeight

  - ### Constructor Detail

    - #### AliyunClip

          protected AliyunClip()

  - ### Method Detail

    - #### getId

          public int getId()

      Gets the id, unique identifier, of this clip.
      Returns:
        id

    - #### setId

          public void setId(int id)

      Sets the id of this clip.
      Parameters:
        `id` -

    - #### getSource

          public java.lang.String getSource()

      Gets the URL of this clip.
      Returns:
        source

    - #### setSource

          public void setSource(java.lang.String mSource)

      Sets the URL of this clip.
      Parameters:
        `mSource` - The URL of this clip.

    - #### getTransition

          public TransitionBase getTransition()

      Gets the transition method of this clip.
      Returns:
        `TransitionCircle` `TransitionFade` `TransitionFiveStar` `TransitionShutter` `TransitionTranslate`

    - #### setTransition

          public void setTransition(TransitionBase transition)

      Sets the transition method of this clip.
      Parameters:
        `transition` - `TransitionCircle` `TransitionFade` `TransitionFiveStar` `TransitionShutter` `TransitionTranslate`

    - #### getDisplayMode

          public AliyunDisplayMode getDisplayMode()

      Gets the display mode of this clip.
      Returns:
        `AliyunDisplayMode`

    - #### setDisplayMode

          public void setDisplayMode(AliyunDisplayMode mode)

      Sets the display mode of this clip.
      Parameters:
        `mode` - `AliyunDisplayMode`

    - #### getMediaType

          public MediaType getMediaType()

      Gets the media type of this clip. The media type can be image, video, and audio.
      Returns:
        `MediaType`

    - #### setMediaType

          public void setMediaType(MediaType mediaType)

      Sets the medio type of this clip. The media type can be image, video, and audio.
      Parameters:
        `mediaType` - `MediaType`

    - #### getClipWidth

          public int getClipWidth()

      Gets width of resource clip , Unit : Pixels

    - #### getClipHeight

          public int getClipHeight()

      Gets height of resource clip , Unit : Pixels